Autodesk.Revit.DB.DoubleArray
是 Revit 中的一个类,代表一个双精度浮点数数组。
Autodesk.Revit.DB.DoubleArray
提供了以下构造函数:
DoubleArray()
: 创建一个空的双精度浮点数数组。DoubleArray(IEnumerable<double>)
: 通过指定的双精度浮点数集合创建一个双精度浮点数数组。Autodesk.Revit.DB.DoubleArray
提供了以下属性:
this[int index]
: 获取或设置在指定索引处的双精度浮点数。Autodesk.Revit.DB.DoubleArray
提供了以下方法:
Clear()
: 从数组中移除所有双精度浮点数元素。CopyTo(double[], int)
: 将当前数组的所有双精度浮点数元素复制到指定双精度浮点数数组中,从指定的索引开始复制。GetEnumerator()
: 返回循环访问数组的枚举器。IndexOf(double)
: 搜索指定的双精度浮点数,并返回整个数组中第一个匹配项的索引。Insert(int, double)
: 在指定索引处插入一个双精度浮点数元素。Remove(double)
: 从数组中移除指定的双精度浮点数。RemoveAt(int)
: 移除位于指定索引处的双精度浮点数。以下示例展示了如何创建一个新的 Autodesk.Revit.DB.DoubleArray
对象,向其中添加双精度浮点数元素,并遍历数组中的所有元素。
// 创建一个新的 DoubleArray 对象
DoubleArray doubleArray = new DoubleArray();
// 向 DoubleArray 中添加新的双精度浮点数元素
doubleArray.Insert(0, 1.1);
doubleArray.Insert(1, 2.2);
doubleArray.Insert(2, 3.3);
// 遍历 DoubleArray 中的所有双精度浮点数元素
foreach (double d in doubleArray)
{
Console.WriteLine(d);
}
输出结果:
1.1
2.2
3.3